import request from '/@/utils/request';

export function departmentApi() {
    return {
        // v2
        getDepartmentList: () => {
            return request({
                url: `/department/list`,
                method: 'post'
            });
        },
        // v2
        addDepartment: (data: object) => {
            return request({
                url: `/department/add`,
                method: 'post',
                data: data
            });
        },
        // v2
        modDepartment: (data: object) => {
            return request({
                url: `/department/mod`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteDepartment: (value?: object) => {
            return request({
                url: `/department/del`,
                method: 'post',
                data: value
            });
        },
    };
}
